Bug 699682 - Broken dependency on deprecated hal
Summary: Broken dependency on deprecated hal
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunar-vfs   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 699692
TreeView+ depends on / blocked
 
Reported: 2011-04-26 11:06 UTC by Honza Horak
Modified: 2011-05-02 03:37 UTC (History)
2 users (show)

Fixed In Version: xfburn-0.4.3-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 11:01:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Honza Horak 2011-04-26 11:06:18 UTC
Description of problem:
Since HAL has been deprecated upstream for 3 years, Fedora and all major
distributions are removing it:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from
composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken
dependencies for your package should be removed:

thunar-vfs-1.2.0-2.fc15.i686 requires libhal-storage.so.1
thunar-vfs-1.2.0-2.fc15.i686 requires libhal.so.1
thunar-vfs-1.2.0-2.fc15.x86_64 requires libhal-storage.so.1()(64bit)
thunar-vfs-1.2.0-2.fc15.x86_64 requires libhal.so.1()(64bit)

If these dependencies cannot be removed, this package should probably be
deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
thunar-vfs-1.2.0-2

Comment 1 Christoph Wickert 2011-04-27 11:01:03 UTC
Package is in rawhide, for F15 I have requested a buildroot overwrite for exo and thunar-vfs [1] to build xfburn. Once that is done all three will be deployed in one update.

[1] https://fedorahosted.org/rel-eng/ticket/4668

Comment 2 Fedora Update System 2011-04-27 12:26:23 UTC
xfburn-0.4.3-5.fc15,thunar-vfs-1.2.0-3.fc15,exo-0.6.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfburn-0.4.3-5.fc15,thunar-vfs-1.2.0-3.fc15,exo-0.6.0-5.fc15

Comment 3 Fedora Update System 2011-05-02 03:37:12 UTC
xfburn-0.4.3-5.fc15, thunar-vfs-1.2.0-3.fc15, exo-0.6.0-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.